Class | Chef::Formatters::ErrorInspectors::ResourceFailureInspector
In: | lib/chef/formatters/error_inspectors/resource_failure_inspector.rb
Parent: | Object

### Methods

add_explanation dynamic_resource? filtered_bt new recipe_snippet

### Attributes

action | [R] |
exception | [R] |
resource | [R] |

### Public Class methods

new(resource, action, exception)

### Public Instance methods

add_explanation(error_description)
dynamic_resource?()
filtered_bt()
recipe_snippet()

[Validate]